/**
 * 
 */
package kickers

import zero.kicker.Kicker

def onTimer() {
  logger.INFO{"Heartbeat checking in to Z2Z Host"}
  def url = InetAddress.localHost.hostAddress + ":" + zget("/config/http/port")
  logger.INFO{"My Url: ${url}" }
  
  //-- Collect all of our files into structure
  //-- map{filename:timestamp}
  def filesDir = new File( config.z2z.filesDir )
  filesDir.mkdirs()
  def currentFiles = filesDir.listFiles()

  def data = [ "url" : url, "broker": zget("/config/messaging/broker/name"), "files": Json.encode( files ) ]

  logger.INFO{ "Data: ${data}"}
  def kickSuccessful = Kicker.kick(data)
  logger.INFO{"kickSuccessful = ${kickSuccessful}"}
}
