/* 
-----------------------------------------------------------------------------
File: sql.groovy
Author: Karl Bishop (kfbishop@us.ibm.com)
-----------------------------------------------------------------------------
Service to process raw SQL
-----------------------------------------------------------------------------
(C) Copyright IBM Corp. 2008 All rights reserved.

You may only copy, modify, and distribute these samples internally.
These samples have not been tested under all conditions and are provided
to you by IBM without obligation of support of any kind.

IBM PROVIDES THESE SAMPLES "AS IS" SUBJECT TO ANY STATUTORY WARRANTIES THAT
CANNOT BE EXCLUDED. IBM MAKES NO WARRANTIES OR CONDITIONS, EITHER EXPRESS
OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OR
CONDITIONS OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND
NON-INFRINGEMENT REGARDING THESE SAMPLES OR TECHNICAL SUPPORT, IF ANY.
-----------------------------------------------------------------------------
*/

/*
This service produces a special result
{
	message: "Something",
	messageType: "Info|Error"
	headers: [ {"name":"Label", field:"C1", type:"string|number|bool"}, ...]
	content: { "label": "C1","identifier": "C0",
			"items": [ {"row":##, "C1":"Col 1 Content", ..., "C99":"Col N-1 content"}, ... ]
}
*/
def onCreate() {
    logger.INFO {"POST called"}

    def ds = request.params.dsId[]
    def sql = request.params.sql[]

    logger.INFO {"Starting for ${ds}: ${sql}"}
    def map = invokeMethod("dba", "runSql", ds, sql )
    invokeMethod('sendResponse', 'json', map)
	logger.INFO {'onRetrieve finished'}
}
