/* 
-----------------------------------------------------------------------------
File: tables.groovy
Author: Karl Bishop (kfbishop@us.ibm.com)
-----------------------------------------------------------------------------
Servie to provide table details.
-----------------------------------------------------------------------------
(C) Copyright IBM Corp. 2008 All rights reserved.

You may only copy, modify, and distribute these samples internally.
These samples have not been tested under all conditions and are provided
to you by IBM without obligation of support of any kind.

IBM PROVIDES THESE SAMPLES "AS IS" SUBJECT TO ANY STATUTORY WARRANTIES THAT
CANNOT BE EXCLUDED. IBM MAKES NO WARRANTIES OR CONDITIONS, EITHER EXPRESS
OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OR
CONDITIONS OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND
NON-INFRINGEMENT REGARDING THESE SAMPLES OR TECHNICAL SUPPORT, IF ANY.
-----------------------------------------------------------------------------
*/

def onRetrieve() {
	def ds = request.params.dsId[]
	def table = request.params.tablesId[]
    logger.INFO {"onRetrieve starting for: ${ds}::${table}"}
	def map = ['label':'name', 'identifier':'name']
    def cols = invokeMethod("dba", "getTableColumns", ds, table )
    map.put('items', cols )
    invokeMethod('sendResponse', 'json', map)
    logger.INFO {'onRetrieve finished'}
}
