<html>
<head>
<title>snoop.php - Super Globals</title>
<style type="text/css">
h1 {
    color: #00f;
}
h2 {
    background-color: #aaa;
    color: #fff;
}
table, th, td {
    border: 1px solid #00f;    
}
</style>

</head>
<body>
<h1>snoop.php -- Super Globals</h1>

<!--  ##########  $_SERVER  ##########  -->
<h2>$_SERVER</h2>
<table border="1" cellpadding="4" cellspacing="0">
<tr>
    <th>Variable</th><th>Value</th>
</tr>
<?php
foreach( $_SERVER as $key => $value) {
    echo "<tr><td>\$_SERVER['".$key."']</td><td>".$value."</td></tr>";
}
?>
</table>

<!--  ##########  $_GET  ##########  -->
<h2>$_GET</h2>
<table border="1" cellpadding="4" cellspacing="0">
<tr><th>Variable</th><th>Value</th></tr>
<?php
foreach( $_GET as $key => $value) {
    echo "<tr><td>\$_GET['".$key."']</td><td>".$value."</td></tr>";
}
?>
</table>

<!--  ##########  $_POST  ##########  -->
<h2>$_POST</h2>
<p>Submit this form to view POST values</p>
<form action="" method="POST">
<table border="1" cellpadding="4" cellspacing="0">
<tr>   
    <th colspan="2">POST Form</th>
    <th colspan="2">$_POST values</th>
</tr>
<tr>
    <th>Field name</th>
    <th>Input</th>
    <th>Variable</th>
    <th>Value</th>
</tr>
<tr>
    <th>val1</th>
    <td><input type="text" name="val1" value="<?php echo $_POST['val1']; ?>"></input></td>
    <td>$_POST['val1']</td>
    <td><?php echo $_POST['val1']; ?></td>
</tr>
<tr>
    <th>val2</th>
    <td><input type="text" name="val2" value="<?php echo $_POST['val2']; ?>"></input></td>
    <td>$_POST['val2']</td>
    <td><?php echo $_POST['val2']; ?></td>
</tr>
<tr>
    <th>val3</th>
    <td><input type="text" name="val3" value="<?php echo $_POST['val3']; ?>"></input></td>
    <td>$_POST['val3']</td>
    <td><?php echo $_POST['val3']; ?></td>
</tr>
<tr>
    <th>val4</th>
    <td><input type="text" name="val4" value="<?php echo $_POST['val4']; ?>"></input></td>
    <td>$_POST['val4']</td>
    <td><?php echo $_POST['val4']; ?></td>
</tr>
<tr>
    <th>val5</th>
    <td><input type="text" name="val5" value="<?php echo $_POST['val5']; ?>"></input></td>
    <td>$_POST['val5']</td>
    <td><?php echo $_POST['val5']; ?></td>
</tr>
<tr>
    <td colspan="4"><button type="submit">Submit this POST form</button></td>
</tr>
</table>
</form>

<!--  ##########  $HTTP_RAW_POST_DATA  ##########  -->
<h2>$HTTP_RAW_POST_DATA</h2>
<p>Submit this form to view RAW POST DATA values. Similar to normal POST but form must be set to plain text encoding.</p>
<form action="" method="POST" enctype='text/plain'>
<table border="1" cellpadding="4" cellspacing="0">
<tr>   
    <th colspan="2">RAW POST Form</th>
    <th>$HTTP_RAW_POST_DATA</th>
</tr>
<tr>
    <th>Field name</th>
    <th>Input</th>
    <th>Value</th>
</tr>
<tr>
    <th>raw1</th>
    <td><input type="text" name="raw1" /></td>
    <td colspan="3"><?php $HTTP_RAW_POST_DATA; ?></td>
</tr>
<tr>
    <th>raw2</th>
    <td><input type="text" name="raw2" /></td>
</tr>
<tr>
    <th>raw3</th>
    <td><input type="text" name="raw3" /></td>
</tr>
<tr>
    <td colspan="3"><button type="submit">Submit this RAW POST form</button></td>
</tr>
</table>
</form>


<!--  ##########  $_FILES  ##########  -->
<h2>$_FILES</h2>
<p>Submit a file using this form to view FILE details</p>
<form action=""  method="POST" enctype="multipart/form-data">
<table border="1" cellpadding="4" cellspacing="0">
<tr>
    <th colspan="2">File Submission Form</th>
    <th colspan="2">$_FILES values</th>
</tr>
<tr>
    <th>Field name</th>
    <th>Input</th>
    <th>Variable and Value</th>
</tr>
<tr>
    <th>file1</th>
    <td><input type="file" name="file1" /></td>
    <td>
        <table border="1" cellpadding="4" cellspacing="0">
<?php
foreach( $_FILES['file1'] as $key => $value) {
    echo "<tr><td>\$_FILES['file1']['".$key."']</td><td>".$value."</td></tr>";
}
?>
        </table>
    <td>
</tr>
<tr colspan="3">
    <td colspan="3"><button type="submit">Submit this FILE UPLOAD</button></td>
</tr>
</table>
</form>

<!--  ##########  $_REQUEST  ##########  -->
<h2>$_REQUEST</h2>
<table border="1" cellpadding="4" cellspacing="0">
<tr><th>Variable</th><th>Value</th></tr>
<?php
foreach( $_REQUEST as $key => $value) {
    echo "<tr><td>\$_REQUEST['".$key."']</td><td>".$value."</td></tr>";
}
?>
</table>

<!--  ##########  $_COOKIE  ##########  -->
<h2>$_COOKIE</h2>
<table border="1" cellpadding="4" cellspacing="0">
<tr><th>Variable</th><th>Value</th></tr>
<?php
foreach( $_COOKIE as $key => $value) {
    echo "<tr><td>\$_COOKIE['".$key."']</td><td>".$value."</td></tr>";
}
?>
</table>

</body>
